/*
   The indicator show Open price of multiple years defined by NumYear.
   Coded by FerruFx @ http://wwww.ervent.net
   modified by fareastol
*/

#property indicator_chart_window

extern string  ID       = "OpenLevel Year";
extern int     NumYear  = 20;
extern color   Lcolor   = Khaki;
//------------------------------------------------------------------
int init()   
{
   NumYear = MathMax(NumYear,0);
   return(0);
}
//------------------------------------------------------------------
int deinit() 
{
   int k=0;
   while(k<ObjectsTotal())
   {
    string objname = ObjectName(k);
    if (StringFind(objname,ID) != -1)  ObjectDelete(objname);
    else k++;
   }    
   return(0);
}
//------------------------------------------------------------------
int start()
{
   for (int i=0; i<=NumYear; i++)
   {
      double price1  = iOpen(NULL,PERIOD_MN1,(Month()-1)+i*12);
      datetime time1 = iTime(NULL,PERIOD_MN1,(Month()-1)+i*12);
      DrawLevel(ID+i, time1, price1, Lcolor);
   }
         
   return(0);
}
//------------------------------------------------------------------
void DrawLevel(string name, datetime time, double price, color levelcolor)
{
      ObjectCreate(name,OBJ_TREND,0,0,0,0,0);
         ObjectSet(name,OBJPROP_PRICE1,price);
         ObjectSet(name,OBJPROP_PRICE2,price);
         ObjectSet(name,OBJPROP_TIME1,time);
         ObjectSet(name,OBJPROP_TIME2,Time[0]);
         ObjectSet(name,OBJPROP_COLOR,levelcolor);
         ObjectSet(name,OBJPROP_RAY,False);
      ObjectCreate(name+" @",OBJ_ARROW,0,0,0);
         ObjectSet(name+" @",OBJPROP_ARROWCODE,SYMBOL_RIGHTPRICE);
         ObjectSet(name+" @",OBJPROP_PRICE1,price);
         ObjectSet(name+" @",OBJPROP_TIME1,Time[0]);
         ObjectSet(name+" @",OBJPROP_COLOR,levelcolor);
}


